incubator-callback-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From hermw...@apache.org
Subject [2/20] ios commit: Updated CB-957 - Include Xcode 4 requirement
Date Wed, 27 Jun 2012 18:33:51 GMT
Updated CB-957 - Include Xcode 4 requirement


Project: http://git-wip-us.apache.org/repos/asf/incubator-cordova-ios/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-cordova-ios/commit/c5a4d487
Tree: http://git-wip-us.apache.org/repos/asf/incubator-cordova-ios/tree/c5a4d487
Diff: http://git-wip-us.apache.org/repos/asf/incubator-cordova-ios/diff/c5a4d487

Branch: refs/heads/master
Commit: c5a4d48774500444b5e643fa5ca3eb0f824c1674
Parents: 6d3ebf6
Author: Shazron Abdullah <shazron@apache.org>
Authored: Mon Jun 25 14:09:07 2012 -0700
Committer: hermwong <herm.wong@gmail.com>
Committed: Wed Jun 27 11:32:10 2012 -0700

----------------------------------------------------------------------
 guides/Cordova Upgrade Guide.md |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-cordova-ios/blob/c5a4d487/guides/Cordova
Upgrade Guide.md
----------------------------------------------------------------------
diff --git a/guides/Cordova Upgrade Guide.md b/guides/Cordova Upgrade Guide.md
index 4e184f0..5b64efd 100644
--- a/guides/Cordova Upgrade Guide.md	
+++ b/guides/Cordova Upgrade Guide.md	
@@ -23,6 +23,9 @@
 ---
 This document is **deprecated** and will be **removed** in Cordova 2.0. Please go to [http://docs.phonegap.com/en/edge/guide_upgrading_index.md.html](http://docs.phonegap.com/en/edge/guide_upgrading_index.md.html)
for the latest and up to date upgrade instructions.
 ---
+
+Please note that **Xcode 4 is required**. To submit to the Apple App Store, you must use
the latest shipped version of the iOS SDK, which is iOS 5.1. The iOS 5.1 SDK requires Xcode
4.
+
 This document is for developers who need to upgrade their Cordova-based projects to a newer
Cordova version. Starting with Cordova 1.4.0, Cordova has been re-factored to use Cleaver
(Cordova as a Component), and some classes that were used before have been removed - namely
PhoneGapDelegate and PhoneGapViewController.
 
 - To upgrade from 1.3.0 to 1.9.0, go through the 1.4.x, 1.5.0, 1.6.0, 1.7.x, 1.8.x then finally
the 1.9.0 instructions


Mime
View raw message